btllib::SeedRollingHash Class Reference
Inheritance diagram for btllib::SeedRollingHash:

## Public Member Functions

| SeedRollingHash (const char *seq, size_t seq_len, unsigned k, const std::vector< SpacedSeed > &seeds, unsigned hash_num_per_seed)
| SeedRollingHash (const std::string &seq, unsigned k, const std::vector< SpacedSeed > &seeds, unsigned hash_num_per_seed)
| SeedRollingHash (const char *seq, size_t seq_len, unsigned k, const std::vector< std::string > &seeds, unsigned hash_num_per_seed)
| SeedRollingHash (const std::string &seq, unsigned k, const std::vector< std::string > &seeds, unsigned hash_num_per_seed)
unsigned | get_hash_num_per_seed () const
bool | roll ()
Public Member Functions inherited from btllib::RollingHash
| RollingHash (const char *seq, size_t seq_len, unsigned k, unsigned hash_num)
| RollingHash (const std::string &seq, unsigned k, unsigned hash_num)
bool | roll ()
const uint64_t * | hashes () const
size_t | get_pos () const
unsigned | get_k () const
unsigned | get_hash_num () const

## Additional Inherited Members

Protected Member Functions inherited from btllib::RollingHash
bool | init ()
Protected Attributes inherited from btllib::RollingHash
const char * | seq
const size_t | seq_len
const unsigned | k
const unsigned | hash_num
size_t | pos = 0
std::vector< uint64_t > | hashes_vector
uint64_t | forward_hash = 0
uint64_t | reverse_hash = 0

The documentation for this class was generated from the following file:

- include/btllib/rolling_hash.hpp